std::__detail::_Hash_node< _Value, true > Struct Template Reference
Base and Implementation Classes
Inheritance diagram for std::__detail::_Hash_node< _Value, true >:
[legend]

## Public Types

typedef _Value | value_type

## Public Member Functions

_Hash_node * | _M_next () const noexcept
_Value & | _M_v () noexcept
const _Value & | _M_v () const noexcept
_Value * | _M_valptr () noexcept
const _Value * | _M_valptr () const noexcept

## Public Attributes

std::size_t | _M_hash_code
_Hash_node_base * | _M_nxt
__gnu_cxx::__aligned_buffer < _Value > | _M_storage

## Detailed Description

### template<typename _Value>
struct std::__detail::_Hash_node< _Value, true >

Specialization for nodes with caches, struct _Hash_node.

Base class is __detail::_Hash_node_value_base.

Definition at line 279 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h